Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

access is not a valid attribute of subform, Attribute not loaded-What do these error messages mean?

Avatar

Level 2

I have created a PDF Form but users who are using Adobe Reader 9.0 below will have the following error messages and the form cannot be opened.

access is not a valid attribute of subform, Attribute not loaded. Line 40001.

access is not a valid attribute of subform, Attribute not loaded. Line 40003.

access is not a valid attribute of subform, Attribute not loaded. Line 40005.

access is not a valid attribute of subform, Attribute not loaded. Line 40009.

access is not a valid attribute of subform, Attribute not loaded. Line 40017.

access is not a valid attribute of subform, Attribute not loaded. Line 40024.

access is not a valid attribute of subform, Attribute not loaded. Line 40086.

Message limit exceeeded. Remaining 6 errors not reported.

So, what do these error message mean and how to solve this problem? Thank you very much.

3 Replies

Avatar

Level 10

What target version you have chosen. If you choose the version that your users use, then you will be prompted if you have used any properties/ attributes that did not match the target version.

Thanks

Srini

Target Version.JPG

Avatar

Level 2

So the error occurs if I set the version lower than 9?

If I set the version to 9.0 or later, does it mean that the form cannot be opened below version 9.0? Thanks.

Avatar

Level 10

The target version means you are developing a form to work properly in that version of Reader/ Acrobat and later versions.

If you try to open the form in lower versions than your Target version, the form behaviour cannot be consistent.

It all depends on your customers who use the form (or) your business needs.

For example, if you do not know who your target customers are (means people can download your application from internet and you can not track whoch is using the application), then you need to set target Version to a minimum version that you can expect in any user computer. (Again this is a business decision).

When I developed the application in the past, one company business team wants the Target version to be 2 versions lower than the current one. That means if the Current version of Reader is 10 then they wanted the target version to be 8.0.

If you can change your Target version to a lower version then you can atleast know which attributes/ functionality is not working during the Design time itself. So you can fix them in your Designer before releasing the form to users.

Thanks

Srini